/*  Autopackage GTK+ frontend
 *  Copyright (C) 2003  Hongli Lai <h.lai@chello.nl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _RECEIVER_H_
#define _RECEIVER_H_

#include <glib.h>

/* The receiver is a thread that reads input from the FIFO and redirects it
   to a pipe. The main thread can then poll that pipe for input.
   We do this because opening a FIFO will block until the FIFO has been opened by
   another process. */

GIOChannel *receiver_start (GError **err);
void receiver_stop (void);

extern gboolean readLock;
extern gboolean pokeFifo;

#endif /* _RECEIVER_H_ */
