/*  Autopackage GTK+ frontend
 *  Copyright (C) 2003  Hongli Lai <h.lai@chello.nl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _UTILS_H_
#define _UTILS_H_

#include <gtk/gtk.h>
#include <glade/glade.h>
#include <libintl.h>
#include <string.h>

#define DOMAIN "autopackage-frontend-gtk"
#define _(x) dgettext (DOMAIN, x)

#define my_strcmp(x,y) (x && y && strcmp (x, y) == 0)
#define startsWith(x,y) (x && y && strncmp (x, y, strlen (y)) == 0)

#define stripNewline(str) if (strlen (str) > 0 && str[strlen (str) - 1] == '\n') str[strlen (str) - 1] = 0

void show_error (GtkWidget *parent, gchar *format, ...);
GladeXML *load_glade (gchar *filename);
gchar *lookup_file (gchar *basename);
GList *create_strlist (gchar *str);
void free_strlist (GList *list);

gchar *desktop_file_get_name (gchar *filename);

extern const gchar *data_dir;

#ifdef DEBUG
#define TRACE(args...) g_print ("%s (%d:%s) ", __FILE__, __LINE__, __FUNCTION__); g_print (args)
#else
#define TRACE(args...) do { } while (0);
#endif

#endif /* UTILS_H_ */
